Subject: Re: 1.8.4 rebase regression?

From: Patrick Welche <[email-masked]>
Date: Tue, 17 Sep 2013 10:13:33 +0100

On Mon, Sep 16, 2013 at 01:18:48PM +0200, Matthieu Moy wrote:
> Patrick Welche <[email-masked]> writes:
> 
> > $ git diff
> > ESC[1mdiff --cc glib/gmain.cESC[m
> > ESC[1mindex 738e69c,5aaebd0..0000000ESC[m
> > ESC[1m--- a/glib/gmain.cESC[m
> > ESC[1m+++ b/glib/gmain.cESC[m
> > ESC[36m@@@ -4953,32 -4921,32 +4953,48 @@@ESC[m ESC[mg_unix_signal_watch_dispatch (GSourcESC[m
> >
> >
> > (same xterm, no change of TERM in both invocations above)
> > git status in 1.8.4 does show red, so colour does work...
> >
> > Thoughts on how to help debug?
> 
> Can you try:
> 
> git -c color.ui=never diff
> git -c color.ui=auto diff
> git -c color.ui=always diff
> 
> ?

Got it: the change between 1.8.3.4 and 1.8.4 is that colour is on by
default. If I take 1.8.3.4 and git -c color.ui=always log, I see
the same ESC codes => not a regression! I'll just have to sort my
box out if I want colour. (The only oddity is that git status is
correctly colourful.)

(
> If you have a bit of time, you can use "git bisect" on a clone of
> git.git to find out the guilty commit.

commit e5be297279e8ee8c503eb59da21ab17edc40e748
Merge: a3bc3d0 6897a64

but that is presumably just when the default changed
)

Sorry for the confusion - it just looked like a regression to me,
but isn't!

Cheers,

Patrick